--local _locale = Turbine.Engine.GetLocale()

local _locale = "fr";
if Turbine.Shell.IsCommand("hilfe") then
	_locale = "de";
elseif Turbine.Shell.IsCommand("help") then
	_locale = "en";
end


l = {};
setmetatable(l, {__index=function(l, key) return key; end;});

if ( "de" == _locale ) then
	l.help				= "Big Pack\n       bp mode: Schaltet den Mini-Modus um\n       bp opacity <n,n>: \195\132ndert die Opacit\195\164t (0,0 - 1,0)\n       bp title <s>: \195\132ndert den Fenstertitel";
	l.shorthelp			= "Zeigt oder versteckt den BigPack.";
	l.windowTitle		= 'Inventar';
	l.miniMode			= 'Mini';
	l.empty				= 'Leer';
	l.capacity			= 'Kapazit\195\164t';
	l.full				= 'Voll';
	l.search			= 'Suchen';
	l.sort				= 'Sortieren';
	l.display			= 'Anzeigen';
	l.bag				= 'Beutel';
	--[[
				\195\164
				\195\132
				\195\182
				\195\150
				\195\188
				\195\156
				\195\159
	--]]
elseif ( "fr" == _locale ) then -- Thanks Lya for the translation!
	l.help				= "Big Pack\n       bp mode: Activer MiniPack\n       bp opacity <n,n>: Modifier l'opacit\195\169 (0,0 - 1,0)\n       bp title <s>: Modifier le titre de la fen\195\170tre";
	l.shorthelp			= "Afficher ou Cacher BigPack.";
	l.windowTitle		= 'Inventaire';
	l.miniMode			= 'Mini';
	l.empty				= 'Vide';
	l.capacity			= 'Capacit\195\169';
	l.full				= 'Plein';
	l.search			= 'Rechercher';
	l.sort				= 'Organiser';
	l.display			= 'Afficher';
	l.bag				= 'Sac';

else -- set english locale as default
	l.help				= "Big Pack\n       bp mode: Toggles Mini-Mode\n       bp opacity <n,n>: Changes the opacity (0,0 - 1,0)\n       bp title <s>: Changes the window title";
	l.shorthelp			= "Shows or hides BigPack.";
	l.windowTitle		= 'Inventory';
	l.miniMode			= 'Mini';
	l.empty				= 'Empty';
	l.capacity			= 'Capacity';
	l.full				= 'Full';
	l.search			= 'Search';
	l.sort				= 'Sort';
	l.display			= 'Display';
	l.bag				= 'Bag';

end
